<?php
$modules = apply_filters(
	'wpcp_campaign_modules_list',
	array(
		array(
			'label'    => 'Feed',
			'name'     => 'feed',
			'keywords' => 'job',
			'disabled' => false,
			'image'    => esc_url( WPCP_ASSETS_URL . '/images/modules/feed.png' ),
		),
	)
);
?>
<style>
	#wpcp-campaign-actions, #side-sortables, #post-body-content {
		display: none;
	}

	#campaign-selection {
		overflow: hidden;
		padding-bottom: 30px;
	}
</style>
<div class="wpcp-choose-campaign-wrap">
	<div class="wpcp-choose-campaign-items">
		<?php
		foreach ( $modules as $module ) {
			$slug       = sanitize_title( $module['name'] );
			$disabled   = true === $module['disabled'] ? " disabled='disabled' " : '';
			$wrap_class = true === $module['disabled'] ? 'disabled-item' : '';
			?>
			<div class="wpcp-choose-campaign-item <?php echo esc_attr( $wrap_class ); ?>">
				<input type="radio" name="_campaign_type" id="<?php echo esc_attr( $slug ); ?>" value="<?php echo esc_attr( $slug ); ?>" <?php echo esc_attr( $disabled ); ?> required="required"/>
				<label for="<?php echo esc_attr( $slug ); ?>"><img src="<?php echo esc_attr( $module['image'] ); ?>" alt="<?php echo esc_attr( $module['name'] ); ?>-module"></label>
			</div>
			<?php
		}
		?>
	</div>
	<p class="submit">
		<input type="submit" name="submit" id="submit" class="button button-primary button-large" value="<?php esc_html_e( 'Start Campaign', 'wp-content-pilot' ); ?>">
	</p>
</div>
